import { Position } from '@capacitor/geolocation';
import { DeepClient } from '@deep-foundation/deeplinks/imports/client.js';
export declare function updatePosition(options: UpdatePositionOptions): Promise<import("@deep-foundation/deeplinks/imports/client.js").DeepClientResult<{
    id: any;
}[]>>;
export interface UpdatePositionOptions {
    /**
     * The deep client
     */
    deep: DeepClient;
    /**
     * The id of the link to update
     */
    linkId: number;
    /**
     * New position info
     */
    position: Position;
}
